import { getElementId, randomCode, deepCopy } from "../../plugins/utils";

const MODEL = {
  type: "CARD_HEAD",
  x: 0,
  y: 0,
  w: 0,
  h: 0,
  cardTitle: "",
  cardDesc: "",
  aOrB: false,
  paperType: "PRINT", // PRINT: "印刷",FILL: "填涂"
  examAbsent: true,
  writeSign: true,
  fillNumber: 10,
  examNumberStyle: "PRINT", // PRINT:印刷条码, PASTE:粘贴条码, FILL:学号填涂
  businessParams: [],
  attention: [],
  objectiveAttention: [],
  subjectiveAttention: [],
  columnNumber: 2,
  isSimple: false, // 是否是简化形式
  sign: "head",
};

const getModel = (cardConfig) => {
  const model = Object.assign({}, deepCopy(MODEL), cardConfig);
  model.id = getElementId();
  model.key = randomCode();

  return model;
};

export { MODEL, getModel };
