import MarkerLogin from "./views/MarkerLogin.vue";
import ScoreArchive from "./views/ScoreArchive.vue";
import ScoreSync from "./views/ScoreSync.vue";
import UploadStructure from "./views/UploadStructure.vue";
import SyncManage from "./views/SyncManage.vue";
import QuestionLibraryManage from "./views/QuestionLibraryManage.vue";

export default [
  {
    path: "/stmms-cloud/marker-login",
    name: "MarkerLogin",
    component: MarkerLogin,
  },
  {
    path: "/stmms-cloud/score-archive",
    name: "ScoreArchive",
    component: ScoreArchive,
  },
  {
    path: "/stmms-cloud/score-sync",
    name: "ScoreSync",
    component: ScoreSync,
  },
  {
    path: "/stmms-cloud/upload-structure",
    name: "UploadStructure",
    component: UploadStructure,
  },
  {
    path: "/stmms-cloud/sync-manage",
    name: "SyncManage",
    component: SyncManage,
  },
  {
    path: "/tiku/question-library-manage",
    name: "QuestionLibraryManage",
    component: QuestionLibraryManage,
  },
];
